%global debug_package %{nil}

Name:           radiotool
Version:        0.2.2
Release:        1%{?dist}
Summary:        Radio Firmware tool

License:        GPL-3.0-or-later
URL:            https://github.com/v0l/radio_tool
Source0:        https://github.com/v0l/radio_tool/archive/refs/tags/v%{version}.tar.gz
Patch0:         radiotool.patch
Patch1:         radiotool-pie.patch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  cmake-data
BuildRequires:  coreutils
BuildRequires:  diffutils
BuildRequires:  elfutils
BuildRequires:  file
BuildRequires:  filesystem
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc
BuildRequires:  glibc-devel
BuildRequires:  glibc-headers-x86
BuildRequires:  grep
BuildRequires:  gzip
BuildRequires:  kernel-headers
BuildRequires:  libgcc
BuildRequires:  libstdc++
BuildRequires:  libstdc++-devel
BuildRequires:  libusb1
BuildRequires:  libusb1-devel
BuildRequires:  make
BuildRequires:  package-notes-srpm-macros
BuildRequires:  patch
BuildRequires:  perl-interpreter
BuildRequires:  pkgconf
BuildRequires:  pkgconf-pkg-config
BuildRequires:  python-srpm-macros
BuildRequires:  sed
BuildRequires:  tar


%description
Radio Firmware tool

%prep
%autosetup -n radio_tool-%{version} -p1


%build
%cmake .
pushd redhat-linux-build
%make_build
popd

%install
pushd redhat-linux-build
%make_install
popd
install -d %{buildroot}/%{_libdir}
install -m 0755 redhat-linux-build/libradiotool.so %{buildroot}/%{_libdir}

%check
ctest -V %{?_smp_mflags}


%files
%license LICENSE
%doc README.md
%{_bindir}/radio_tool
%{_libdir}/libradiotool.so

%changelog
* Wed Feb 28 2024 Thomas Sailer <sailer@tsailer.ch> - 0.2.2-1
- initial package
